// ICloudConfigGetter.aidl
package com.cleanmaster.synipc;

import com.cleanmaster.function.watcher.AppInfo;
import com.cleanmaster.function.boost.util.IPhoneMemoryInfo;
import com.cleanmaster.synipc.MemoryChangeParam;

// Declare any non-default types here with import statements

interface IBoostDataManagerRaw {
    List<AppInfo> getAllOpenedAppInfo();

	// 获取内存占比信息
	IPhoneMemoryInfo getProcMemoryInfo();

	// 内存值变更通知服务接口
	int setMemoryChange(in MemoryChangeParam param);

	AppInfo getOpenedAppInfo(String pkgName);
}
