package com.cleanmaster.synipc;
interface ISyncIpcServiceRaw{
    boolean CheckAlive();
    int     GetServiceVerion();

	void enterRoot();
	void waitForCopyAssetsFinish();

		// 以下这个接口为批量上报提供
    void requestBatchReport();
	
	// 以下这些接口是供ServiceConfigManager使用，各个模块请不要自行调用
    void setBooleanValue(String key, boolean value);
	void setLongValue(String key, long value);
	void setIntValue(String key, int value);
	void setStringValue(String key, String value);
	
	// infoc相关文件同步操作
	boolean checkInfocFile();
	
	// so文件操作
	int syncSoFile(String libName);
	
	// UpdateManager初始化assets文件同步
	boolean initUpdateManagerAssetsFiles();
	
	//获取崩溃时系统的升级信息
	long GetLastUpdateDbTime();

	void startNotificationMonitor();

    // 浮标能否展示
    boolean canShowFloatTips(int flag);
    
    int callNotificationMethodByType(int type);

    ///////////////////////////////////////////////////////
    //  !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
          /**注意注意 : 该 IPC 接口不允许再增加新的接口
          *   如果有新的跨进程通信，请使用另一套跨进程通信机制，
          *   按照规则在ServiceDefine中定义使用。
          */
    ///////////////////////////////////////////////////////
}
