package com.cleanmaster.synipc;

import com.cleanmaster.notification.normal.NotificationSetting;
import android.content.Intent;

interface INotifyManagerRaw {

    void cancelNotification(int notifyId);
    void clickNotification(int notifyId);
    void cancelAllNotification();
    boolean checkNotifyCanShow(in NotificationSetting setting);
    boolean checkLockerWindowCanShow(int notifyId);
    boolean checkHeaderWindowCanShow(int notifyId);
    boolean isNotificationShowing(int notifyId);
    boolean isCmInstalled();
    void setIntentType(int type);
    void updateCMPkgFilterList(String pkgName, String action);
    boolean showLockerWindow(int notifyId,CharSequence content,int iconRes,String iconPkgName,in Intent intent);
    boolean closeLockerWindow(int notifyId);
    void updateForground(String pkgName);
    boolean showHeaderViewWindow(int notifyId,CharSequence title,CharSequence content,in Intent intent);
    void setHeaderViewDuration(long duration);
    boolean closeHeaderViewWindow(int notifyId);
}
